IOC(4)

NAME
ioc - IOC3 generic workstation I/O device

SYNOPSIS
ioc* at pci?
com0 at ioc? base 0x20178
com1 at ioc? base 0x20170
dsrtc0 at ioc?
iec* at ioc?
iockbc* at ioc?
onewire* at ioc?

DESCRIPTION
The ioc driver provides support for the various SGI IOC3 flavours on Octane and Origin family systems.

Depending on their particular configuration, the IOC3 boards may provide:

com(4)
    Two serial ports.
dsrtc(4)
    Time-of-day chip.
iec(4)
    10/100 Mbit/s Ethernet interface.
iockbc(4)
    PS/2 keyboard and mouse interface.

In order to tell these configurations apart, all IOC3 boards, except those on-board Origin family systems, contain a factory-setup onewire(4) bus with owserial(4) components identifying the IOC3 flavour, as well as owmac(4) components storing the Ethernet address, for IOC3 devices with Ethernet interfaces.

SEE ALSO
com(4), dsrtc(4), iec(4), intro(4), iockbc(4), onewire(4), owmac(4), owserial(4), pci(4)

HISTORY
The ioc driver first appeared in OpenBSD 4.4.